List subscriptions
curl --request GET \
--url https://api.gcore.com/cloud/v1/user_actions/subscriptions_list \
--header 'Authorization: <api-key>'import requests
url = "https://api.gcore.com/cloud/v1/user_actions/subscriptions_list"
headers = {"Authorization": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://api.gcore.com/cloud/v1/user_actions/subscriptions_list', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"count": 1,
"results": [
{
"auth_header_name": "Authorization",
"auth_header_value": "Bearer eyJ0eXAiOiJKV1QiLCJhbGciOiJIUzI1NiJ9.eyJ0b2tlbl90eXBlIjoiYWNjZXNzIiwiZXhwIjoxNTc0OTU0MDY0LCJqdGkiOiJiYXIiLCJ1c2VyX2lkIjoxLCJ1c2VyX3R5cGUiOiJjb21tb24iLCJ1c2VyX2dyb3VwcyI6WyJVc2VycyJdLCJjbGllbnRfaWQiOjEsImVtYWlsIjoidGVzdEB0ZXN0LnRlc3QiLCJ1c2VybmFtZSI6InRlc3RAdGVzdC50ZXN0IiwiaXNfYWRtaW4iOmZhbHNlLCJjbGllbnRfbmFtZSI6Ik5hbWUiLCJleGNoYW5nZWFibGUiOnRydWUsImZha2VfdXNlcl9pZCI6MSwicmp0aSI6ImZvbyJ9.YTH_s67j7xyWlFLy093RxReT5PmitnawLr25Jh7Ix14",
"id": 17,
"url": "https://your-url.com/receive-user-action-messages"
}
]
}User Actions
List subscriptions
Retrieve all existing HTTP webhook subscriptions for user action logs.
GET
/
cloud
/
v1
/
user_actions
/
subscriptions_list
List subscriptions
Authorizations
API key for authentication. Make sure to include the word apikey, followed by a single space and then your token.
Example: apikey 1234$abcdef
Query Parameters
Optional. Limit the number of returned items
Required range:
x <= 1000Example:
1000
Optional. Offset value is used to exclude the first set of records from the result
Required range:
x >= 0Example:
0
Was this page helpful?
⌘I